Bug 93079 - "resize shape to fit text" state can't be disabled
Summary: "resize shape to fit text" state can't be disabled
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
5.0.0.4 rc
Hardware: All All
: medium normal
Assignee: Julien Nabet
QA Contact:
URL:
Whiteboard: target:5.1.0 target:5.0.1
Keywords: regression
Depends on:
Blocks:
 
Reported: 2015-08-02 12:31 UTC by water.qian
Modified: 2016-10-25 19:24 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
screen capture (119.24 KB, image/jpeg)
2015-08-02 12:31 UTC, water.qian
Details

Note You need to log in before you can comment on or make changes to this bug.
Description water.qian 2015-08-02 12:31:54 UTC
Created attachment 117604 [details]
screen capture

Win7 32bit
Version: 5.0.0.5
Build ID: 1b1a90865e348b492231e1c451437d7a15bb262b
Locale: zh-CN (zh_CN)

1. Create a new Drawing file.
2. Draw a rectangle. 
3. Type some text for this shape. eg "a test text"
4. Select Format > text.
5. Tick "resize shape to fit text" and click ok.

The box size is updated to fit the text. However, you can't disable the option now.

6. Select Format > text again.
7. The option "resize shape to fit text" is not ticked at all.
   Click ok.
8. Try to resize the rectangle. Can't resize it.

It works with version version 4.4.
Comment 1 Jacques Guilleron 2015-08-02 13:39:41 UTC
Hi water.quian,

I reproduce with 
LO 5.1.0.0.alpha1+ Build ID: 8cfdd81b70ef37927b40497ffd10034f28335034
TinderBox: Win-x86@39, Branch:master, Time: 2015-07-24_02:47:18
LO 5.0.0.0.alpha1+ Build ID: 6664859e1e8b3f8b7db8c931b8d0335510c20ce0
TinderBox: Win-x86@42, Branch:master, Time: 2015-05-16_03:16:31

But not with 
LO 4.4.3.1 Build ID: b2f347f2ac68821efc00b6f1793cda90af748118
& Windows 7 Home Premium.

Thank you to report it.
Comment 2 Julien Nabet 2015-08-02 19:17:05 UTC
On pc Debian x86-64 with master sources updated, I could reproduce this.
Comment 3 Julien Nabet 2015-08-02 19:25:48 UTC
I submitted a patch for master sources to review, see https://gerrit.libreoffice.org/17477
Comment 4 Commit Notification 2015-08-03 07:14:12 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4a847bb4a2002d7f8f5854b7276ac67d369bdd3b

tdf#93079:  "resize shape to fit text" state can't be disabled

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 water.qian 2015-08-05 00:05:13 UTC
With the patch applied, it seems the check-box in "Format > text" dialog works, but the actual shape can't be resize even after  "resize shape to fit text" is un-ticked.

Version: 5.1.0.0.alpha1+
Build ID: a933e01a54f08132c2d8699f7c6851a8b493d5dc
TinderBox: Win-x86@39, Branch:master, Time: 2015-08-04_06:10:12
Locale: zh-CN (zh_CN)

Also, if you choose "format > default formatting" on some shape, it shrinks to fit text. But resize doesn't work any more.
Comment 6 Commit Notification 2015-08-05 09:01:33 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7a479d44676b3a2f413c3a103ef5943b3562cbe3&h=libreoffice-5-0

tdf#93079:  "resize shape to fit text" state can't be disabled

It will be available in 5.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Julien Nabet 2015-08-05 09:31:14 UTC
Water: let's close this one.
1 problem/1 bug, could you please submit a new bug (if possible attach some simple example so we can try to reproduce this quickly and easily)?
Comment 8 water.qian 2015-08-05 11:53:45 UTC
(In reply to Julien Nabet from comment #7)
> Water: let's close this one.
> 1 problem/1 bug, could you please submit a new bug (if possible attach some
> simple example so we can try to reproduce this quickly and easily)?

Thanks Julien. I have submitted another one.
   https://bugs.documentfoundation.org/show_bug.cgi?id=93135